Subject: RE: bug#37312: test failure in sed-4.7

From: "Oppe, Thomas C ERDC-RDE-ITL-MS Contractor" <[email-masked]>
Date: Fri, 6 Sep 2019 02:16:52 +0000

Eric,

Here are the system details:

voodoo03> uname -a
Linux voodoo03 3.10.0-862.3.2.el7.x86_64 #1 SMP Tue May 15 18:22:15 EDT 2018
x86_64 x86_64 x86_64 GNU/Linux

voodoo03> uname -srv
Linux 3.10.0-862.3.2.el7.x86_64 #1 SMP Tue May 15 18:22:15 EDT 2018

The GLIBC versions is:

voodoo03> /lib/libc.so.6
GNU C Library (GNU libc) stable release version 2.17, by Roland McGrath et
al.
Copyright (C) 2012 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
Compiled by GNU CC version 4.8.5 20150623 (Red Hat 4.8.5-28).
Compiled on a Linux 3.10.0 system on 2018-02-05.
Available extensions:
	The C stubs add-on version 2.1.2.
	crypt add-on version 2.1 by Michael Glad and others
	GNU Libidn by Simon Josefsson
	Native POSIX Threads Library by Ulrich Drepper et al
	BIND-8.2.3-T5B
	RT using linux kernel aio
libc ABIs: UNIQUE IFUNC
For bug reporting instructions, please see:
<http://www.gnu.org/software/libc/bugs.html>.

The context is that I am trying to build and test the GCC 9.2.0 compiler,
which was recently released, on a number of different platforms.  Some
platforms have a very old GLIBC (version 2.11.3), so I am also trying to
install GLIBC 2.30.  To do that, I am also installing the linux-5.2 headers,
which also requires a recent version of sed.  Apparently, I need sed to be
successful in making symbolic links before the GLIBC build will work.

Tom Oppe

-----Original Message-----
From: Eric Blake [mailto:[email-masked]] 
Sent: Thursday, September 5, 2019 10:55 AM
To: Oppe, Thomas C ERDC-RDE-ITL-MS Contractor <[email-masked]>;
[email-masked]
Subject: Re: bug#37312: test failure in sed-4.7

On 9/5/19 6:01 AM, Oppe, Thomas C ERDC-RDE-ITL-MS Contractor via wrote:
> Dear Sir:
> 
> I saw a test failure in the "make check" phase of building sed-4.7.  
> The error was:
> 
> ../build-aux/test-driver: line 107: 405457 Aborted                 (core
> dumped) "$@" > $log_file 2>&1
> FAIL: test-symlink
> 
> I was building using gcc 6.3.0.

Insufficient details - you didn't tell us what your operating system was.
It may be a bug in your libc, or a weakness in the gnulib test that is
trying to determine if your libc is POSIX-compliant.  The correct fix will
be updating gnulib (either to work around your broken libc, or to fix the
broken assumption in the gnulib test), and then releasing a new sed with
updated gnulib.

> 
> Is the test failure serious?

But in the meantime, how often do you really expect sed to be creating
symlinks?  This is probably safe to ignore in the context of using your
just-built sed.

--
Eric Blake, Principal Software Engineer
Red Hat, Inc.           +1-919-301-3226
Virtualization:  qemu.org | libvirt.org